/*
 * Volleyball - video game similary to GNU Arcade Volleyball
 * Copyright (C) 2005, 2006 Hugo Ruscitti : hugoruscitti@gmail.com
 * web site: http://www.loosersjuegos.com.ar
 * 
 * This file is part of Volleyball.
 *
 * Volleyball is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Volleyball is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#ifndef _COMMON_H
#define _COMMON_H

/*!
 * \file
 */

#define FALSE 0			/*!< Falso */
#define TRUE !FALSE		/*!< Verdadero */

#define COLUMNS 5		/*!< Columnas en la grilla de personajes */

#define _(X) (X)		/*!< Macro temporal para gettext */
#define k(X) (X)		/*!< Macro temporal para gettext */

#define PI 3.14159265		/*!< PI */

#define MAX_FRAMES_PER_ANIMATION 128	/*! < cantidad mxima de cuadros para
					  una todas las animaciones */
#define FLOOR 425			/*! < posicin vertical del suelo */
#define PILLAR_X 320			/*! < coordenada horizontal del centro
					  del pilar que sostiene la red en el
					  juego*/
#define PILLAR_Y 240			/*! < coordenada vertical del centro
					  del pilar que sostiene la red en el
					  juego */
#define PILLAR_RATIO 10			/*! < radio del borde de pilar */

#include "SDL.h"
#include "SDL_image.h"
#include <stdlib.h>
#include <ctype.h>
#include <stdio.h>
#include <sys/types.h>
#include <dirent.h>
#include <math.h>
#include <string.h>
#include "../config.h"
#include "libintl.h"
#include "util.h"

#endif
